Summary: Perl interface to the Amazon Elastic Compute Cloud (EC2)
Name: perl-Net-Amazon-EC2
Version: 0.06
Release: 2%{?dist}
License: GPL+ or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/~jkim/Net-Amazon-EC2/
Source0: http://search.cpan.org/CPAN/authors/id/J/JK/JKIM/Net-Amazon-EC2-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Digest::HMAC_SHA1) >= 1.01
BuildRequires: perl(XML::Simple) >= 2.18
BuildRequires: perl(Moose) >= 0.33
BuildRequires: perl(Test::More)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(URI)
BuildRequires: perl(Params::Validate)


Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module provides an interface to the Amazon Elastic Compute Cloud (EC2)


%prep
%setup -q -n Net-Amazon-EC2-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%dir %{perl_vendorlib}/Net
%dir %{perl_vendorlib}/Net/Amazon
%dir %{perl_vendorlib}/Net/Amazon/EC2
%{perl_vendorlib}/Net/Amazon/EC2.pm
%{perl_vendorlib}/Net/Amazon/EC2/ConfirmProductInstanceResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/ConsoleOutput.pm
%{perl_vendorlib}/Net/Amazon/EC2/DescribeImageAttribute.pm
%{perl_vendorlib}/Net/Amazon/EC2/DescribeImagesResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/DescribeKeyPairsResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/Error.pm
%{perl_vendorlib}/Net/Amazon/EC2/Errors.pm
%{perl_vendorlib}/Net/Amazon/EC2/GroupSet.pm
%{perl_vendorlib}/Net/Amazon/EC2/InstanceState.pm
%{perl_vendorlib}/Net/Amazon/EC2/IpPermission.pm
%{perl_vendorlib}/Net/Amazon/EC2/IpRange.pm
%{perl_vendorlib}/Net/Amazon/EC2/KeyPair.pm
%{perl_vendorlib}/Net/Amazon/EC2/LaunchPermission.pm
%{perl_vendorlib}/Net/Amazon/EC2/LaunchPermissionOperation.pm
%{perl_vendorlib}/Net/Amazon/EC2/ProductCode.pm
%{perl_vendorlib}/Net/Amazon/EC2/ProductInstanceResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/ReservationInfo.pm
%{perl_vendorlib}/Net/Amazon/EC2/RunInstance.pm
%{perl_vendorlib}/Net/Amazon/EC2/RunningInstances.pm
%{perl_vendorlib}/Net/Amazon/EC2/SecurityGroup.pm
%{perl_vendorlib}/Net/Amazon/EC2/TerminateInstancesResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/UserData.pm
%{perl_vendorlib}/Net/Amazon/EC2/UserIdGroupPair.pm
%{_mandir}/man3/Net::Amazon::EC2.3pm.gz

%changelog
* Tue Mar 11 2008  Robert Rati <rrati@redhat> - 0.06-2
- Package now owns all files/directories from Net on down
  to conform to packaging standards

* Thu Mar  6 2008  Robert Rati <rrati@redhat> - 0.06-1
- Initial release
